Subject: local Xfce session blocks X2Go Xfce session (and vice versa) for same user

From: René Genz <[email-masked]>
Date: Sat, 10 Sep 2016 17:23:24 +0200

Package: x2goserver-xsession
Version: 4.0.1.19

the situation with X2Go and Fedora 22 x86_64 as X2Go server:
- local Xfce session does not block X2Go Xfce session of same user
- X2Go Xfce session does not block local Xfce session for same user

I did not test with Fedora 23.

Unfortunately, with Fedora 24 x86_64 as X2Go server this changed:
- local Xfce session blocks X2Go Xfce session of same user
- X2Go Xfce session blocks local Xfce session for same user

Choosing non-Xfce entry (f.e. LXDE) as X2Go and local session the connection is established and the session is started and working fine at the same time. No automatic disconnection.

Problem can be reproduced with these steps:
on X2Go server computer (Fedora 24 x86_64): log in to Xfce session as 'user'

on X2Go client computer:
- start X2Go Client and connect to X2Go server as 'user' and a Xfce session
- in X2Go Client status changes to 'Running'
- window for remote computer appears
- some seconds later same window is closed automatically
- in X2Go Client status changes to 'Finished'

The X2Go Client version and operating system does not seem to matter. I could reproduce the problem with:
- Windows 7 X2Go Client 4.0.5.1 2016-08-18
- Lubuntu 14.04 X2Go Client 4.0.1.1
- Mac OS X 10.10.6 with X2Go Client 4.0.5.1

Output on Fedora 24 X2Go server is:
$ tail -f /home/user/.xsession-x2go-errors
XSession-x2go: X session started for user at Sat Sep 10 15:09:20 CEST 2016
xfce4-session: Another session manager is already running

$ sudo tail -f /var/log/messages
Sep 10 15:30:51 f24e5720 systemd-logind: New session 21 of user user.
Sep 10 15:30:51 f24e5720 systemd: Started Session 21 of user user.
...
Sep 10 15:30:53 f24e5720 /usr/sbin/x2gocleansessions[753]: user-50-1473514252_stDXFCE_dp24: state file for this session does not exist: /tmp/.x2go-user/C-user-50-1473514252_stDXFCE_dp24/state (this can be ignored during session startups)
Sep 10 15:30:54 f24e5720 /usr/bin/x2gostartagent: successfully started X2Go agent session with ID user-50-1473514252_stDXFCE_dp24
...
Sep 10 15:30:55 f24e5720 /usr/bin/x2goruncommand: launching session with Xsession-x2go mechanism, using STARTUP="xfce4-session"
...
Sep 10 15:31:07 f24e5720 systemd-logind: Removed session 21.

Disabling SElinux on Fedora 24 X2Go server does not make a difference:
$ sudo vim /etc/selinux/config
set to disabled
$ sudo reboot

Performing fresh installation of Fedora 24 X2Go server from scratch does not make a difference.

Version number comparison:
### F22
$ which xfce4-session
/usr/bin/xfce4-session
$ rpm -qf /usr/bin/xfce4-session
xfce4-session-4.12.1-3.fc22.x86_64
$ rpm -q x2goserver
x2goserver-4.0.1.19-3.fc22.x86_64
$ rpm -q x2goserver-xsession
x2goserver-xsession-4.0.1.19-3.fc22.x86_64

### F24
$ which xfce4-session
/usr/bin/xfce4-session
$ rpm -qf /usr/bin/xfce4-session
xfce4-session-4.12.1-9.fc24.x86_64
$ rpm -q x2goserver
x2goserver-4.0.1.19-11.fc24.x86_64
$ rpm -q x2goserver-xsession
x2goserver-4.0.1.19-11.fc24.x86_64

Maybe changes for this bug are related?
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1046

If you think this is a bug in xfce4-session or Fedora, please, tell me and I will file a bug report there.
-- 
Kind regards,
René